Ledga
DELETE/account-sets/{accountSetId}/members

Remove an account or nested set from this account set

Remove a member from the account set

Parameters

NameInTypeDescription
accountSetIdrequired path string
uuid
Account Set UUID

Request bodyrequired

FieldTypeDescription
member_typerequired string
enum: account | account_set
member_idrequired string
uuid

Responses

200Member removed
{
  "success": true,
  "data": {
    "member_type": "account",
    "member_id": "01997c1e-4d2a-7c3e-9a1b-2f0e8c6d4b5a"
  }
}
400Validation error
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}
401Unauthenticated
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}
403Forbidden
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}
404Account set or member not found
{
  "success": false,
  "message": "Validation failed",
  "code": "VALIDATION_ERROR"
}

Examples

curl -X DELETE https://ledga.io/api/v1/account-sets/{accountSetId}/members \
  -H "Authorization: Bearer sk_xxxxxxxx_your_secret" \
  -H "Content-Type: application/json" \
  -d '{
  "member_type": "account",
  "member_id": "01997c1e-4d2a-7c3e-9a1b-2f0e8c6d4b5a"
}'

← All endpoints